Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class InvalidJobConfException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.mapred.InvalidJobConfException

All Implemented Interfaces:
  Serializable

    public class InvalidJobConfException

extends IOException

This exception is thrown when jobconf misses some mendatory attributes or value of some attributes is invalid.

See Also:
  Serialized Form

Constructor Summary
`InvalidJobConfException()`
`InvalidJobConfException(String msg)`
`InvalidJobConfException(String msg, Throwable t)`
`InvalidJobConfException(Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidJobConfException

    public InvalidJobConfException()

### InvalidJobConfException

    public InvalidJobConfException(String msg)

### InvalidJobConfException

    public InvalidJobConfException(String msg,
                                   Throwable t)

### InvalidJobConfException

    public InvalidJobConfException(Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation